Promo Code Exception List Items

List Items in a Promo Code Exception List

get

Returns a list of all promo code items within a specific exception list.

Authorizations
AuthorizationstringRequired

Use your AccountSID as the username and AuthToken as the password.

Path parameters
AccountSIDstringRequired
ListIdstringRequired

The unique identifier for the promo code exception list.

Query parameters
ValuestringOptional

Filter items by the 'Value' (the promo code itself).

Responses
200

A paginated list of exception list item objects.

application/json
get
/Advertisers/{AccountSID}/PromoCodeExceptionLists/{ListId}/Items
cURL
200

A paginated list of exception list item objects.

Create an Item in a Promo Code Exception List

post

Creates a new promo code item for an exception list.

Authorizations
AuthorizationstringRequired

Use your AccountSID as the username and AuthToken as the password.

Path parameters
AccountSIDstringRequired
ListIdstringRequired

The unique identifier for the promo code exception list.

Body
ValuestringRequired

The promo code value to add to the list.

Example: SUMMER25
Responses
200

The request was successful.

application/json
StatusstringOptional

Indicates whether the operation was successful.

Example: OK
Uristring · uri-referenceOptional

The unique reference to the affected resource.

post
/Advertisers/{AccountSID}/PromoCodeExceptionLists/{ListId}/Items
cURL
200

The request was successful.

Delete All Items from a Promo Code Exception List

delete

Permanently deletes all items in a promo code exception list. This cannot be undone.

Authorizations
AuthorizationstringRequired

Use your AccountSID as the username and AuthToken as the password.

Path parameters
AccountSIDstringRequired
ListIdstringRequired

The unique identifier for the promo code exception list.

Responses
200

The resource was deleted successfully.

application/json
StatusstringOptional

Indicates that the resource was deleted.

Example: DELETED
delete
/Advertisers/{AccountSID}/PromoCodeExceptionLists/{ListId}/Items
cURL
200

The resource was deleted successfully.

Get Promo Code Exception List Item Details

get

Retrieves the details of a single item from a promo code exception list.

Authorizations
AuthorizationstringRequired

Use your AccountSID as the username and AuthToken as the password.

Path parameters
AccountSIDstringRequired
ListIdstringRequired

The unique identifier for the promo code exception list.

ItemIdstringRequired

The unique identifier for the promo code exception list item.

Responses
200

A single exception list item object.

application/json
IdstringOptional

The unique identifier for the exception list item.

Example: 1001
ValuestringOptional

The PROMO CODE value.

Example: SUMMER25
NamestringOptional

Display name for the item.

Example: Summer 25% Off
MatchModestring · enumOptional

How the value is matched against incoming actions.

Possible values:
ListIdstringOptional

The unique identifier of the parent exception list.

Example: 99999
CreatedDatestring · date-timeOptional

The date and time the item was created.

Example: 2026-01-15T10:00:00-08:00
Uristring · uri-referenceOptional

The unique reference to this item in the impact.com API.

Example: /Advertisers/<AccountSID>/PromoCodeExceptionLists/99999/Items/1001
get
/Advertisers/{AccountSID}/PromoCodeExceptionLists/{ListId}/Items/{ItemId}
cURL
200

A single exception list item object.

Delete a Promo Code Exception List Item

delete

Permanently deletes a single item from a promo code exception list. This cannot be undone.

Authorizations
AuthorizationstringRequired

Use your AccountSID as the username and AuthToken as the password.

Path parameters
AccountSIDstringRequired
ListIdstringRequired

The unique identifier for the promo code exception list.

ItemIdstringRequired

The unique identifier for the promo code exception list item.

Responses
200

The resource was deleted successfully.

application/json
StatusstringOptional

Indicates that the resource was deleted.

Example: DELETED
delete
/Advertisers/{AccountSID}/PromoCodeExceptionLists/{ListId}/Items/{ItemId}
cURL
200

The resource was deleted successfully.

Last updated